﻿using inutralia.Models;
using MvvmHelpers;

namespace inutralia.ViewModels
{
    public class RecipeOptionGroupViewModel : ObservableRangeCollection<RecipeOption>
    {
        public string Name { get; private set; }

        public RecipeOptionGroup Group { get; private set; }

        public RecipeOptionGroupViewModel ( RecipeOptionGroup group)
        {
            Name = group.Name;
            Group = group;
            AddRange (group.Options);
        }
    }
}
